import{j as e,s as i,H as t}from"./index-rtnXti_j.js";const a=[{title:"Heading",hotKeys:"Ctrl + H",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["Start a line with a hash character ",e.jsx("code",{children:"#"})," to set a heading. Organize your remarks with subheadings by starting a line with additional hash characters, for example ",e.jsx("code",{children:"####"}),". Up to six levels of headings are supported."]}),e.jsxs("p",{children:["Alternatively, on the line below the text, add any number of ",e.jsx("code",{children:"=="})," characters for heading level 1 or ",e.jsx("code",{children:"--"})," characters for heading level 2."]})]}),bestPractices:e.jsxs("span",{children:["Markdown doesn't agree on how to handle a missing space between the number signs ",e.jsx("code",{children:"#"})," and the heading name. For compatibility, always put a space between the number signs and the heading name."]}),example:`# Heading level 1
## Heading level 2
### Heading level 3
#### Heading level 4

Heading level 1
===============

Heading level 2
---------------
`},{title:"Bold",hotKeys:"Ctrl + B",description:`To bold text, add two asterisks or underscores before and after a word or phrase.
To bold the middle of a word for emphasis, add two asterisks without spaces around the letters.`,bestPractices:"Markdown doesn't handle underscores in the middle of a word. For compatibility, use asterisks to bold the middle of a word for emphasis.",example:`**This is bold text**

__This is bold text__

Love**is**bold`},{title:"Italic",hotKeys:"Ctrl + I",description:`To italicize text, add one asterisk or underscore before and after a word or phrase.
To italicize the middle of a word for emphasis, add one asterisk without spaces around the letters.`,bestPractices:"Markdown doesn't agree on how to handle underscores in the middle of a word. For compatibility, use asterisks to italicize the middle of a word for emphasis.",example:`*This is italic text*

_This is italic text_

A*cat*meow`},{title:"Strikethrough",description:"Defines text that has been deleted from a document. To strikethrough text, add double tilde before and after.",example:"~~This is mistaken text~~"},{title:"Highlight",description:"Allow you to highlight text. To highlight words, use two equal signs (==) before and after the words.",example:`I need to highlight these ==very important words==.

Sample of =b=blue highlight==

Sample of =c=cyan highlight==

Sample of =g=green highlight==

Sample of =h=hotpink highlight==

Sample of =l=lime highlight==

Sample of =m=magenta highlight==

Sample of =o=orange highlight==

Sample of =p=pink highlight==

Sample of =r=red highlight==

Sample of =s=silver highlight==

Sample of =t=teal highlight==

Sample of =v=violet highlight==
`},{title:"Subscript",description:"Allow you to use subscript to position one or more characters slightly below the normal line of type. To create a subscript, use one tilde symbol (~) before and after the characters.",example:"H~2~O"},{title:"Superscript",description:"Allow you to use superscript to position one or more characters slightly above the normal line of type. To create a superscript, use one caret symbol (^) before and after the characters.",example:"X^2^"},{title:"Unordered list",hotKeys:"Ctrl + U",description:e.jsxs("span",{children:["To create an unordered list, add dashes ",e.jsx("code",{children:"-"}),", asterisks ",e.jsx("code",{children:"*"}),", or plus signs ",e.jsx("code",{children:"+"})," in front of line items. Indent one or more items to create a nested list."]}),bestPractices:"Markdown doesn’t agree on how to handle different delimiters in the same list. For compatibility, don’t mix and match delimiters in the same list — pick one and stick with it.",example:`- First item
- Second item
- Third item
  - First sub-item
  - Second sub-item
- Fourth item`},{title:"Ordered list",hotKeys:"Ctrl + O",description:`To create an ordered list, add line items with numbers followed by periods.
The numbers don’t have to be in numerical order, but the list should start with the number one.`,example:`1. First item
2. Second item
3. Third item
   1. First sub-item
   2. Second sub-item
4. Fourth item`},{title:"Task list",description:e.jsxs("span",{children:["To create a task list, add dashes ",e.jsx("code",{children:"-"}),", asterisks ",e.jsx("code",{children:"*"}),", or plus signs ",e.jsx("code",{children:"+"})," and brackets with a space ",e.jsx("code",{children:"[ ]"})," in front of task list items.",e.jsx("br",{}),"To select a checkbox, add an x in between the brackets ",e.jsx("code",{children:"[x]"}),"."]}),example:`- [x] Caesar salad
- [ ] Cherry tomatoes
- [ ] Coconut cookies`},{title:"Quote",hotKeys:"Ctrl + Q",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["To create a blockquote, add a ",e.jsx("code",{children:">"})," in front of a paragraph."]}),e.jsxs("p",{children:["Blockquotes can contain multiple paragraphs. Add a ",e.jsx("code",{children:">"})," on the blank lines between the paragraphs."]}),e.jsxs("p",{children:["Blockquotes can be nested. Add a ",e.jsx("code",{children:">>"})," in front of the paragraph you want to nest."]})]}),example:`> First quote paragraph.
>
>> Nested second quote paragraph.`},{title:"Callout",description:e.jsxs(e.Fragment,{children:[e.jsx("p",{children:"Callouts are almost equivalent to standard Markdown block quotes in their syntax."}),e.jsxs("p",{children:["To create a callout, add ",e.jsx("code",{children:"[!INFO]"})," to the first line of a blockquote, where ",e.jsx("code",{children:"INFO"})," is the type of callout. The type determines how the callout looks."]}),e.jsx("p",{children:"All supported callout types:"}),e.jsxs("ul",{children:[e.jsxs("li",{children:[e.jsx("strong",{children:"info"})," (",e.jsx("em",{children:"alias"}),": note)"]}),e.jsxs("li",{children:[e.jsx("strong",{children:"todo"})," (",e.jsx("em",{children:"alias"}),": checklist)"]}),e.jsx("li",{children:e.jsx("strong",{children:"example"})}),e.jsxs("li",{children:[e.jsx("strong",{children:"summary"})," (",e.jsx("em",{children:"aliases"}),": abstract, tldr)"]}),e.jsxs("li",{children:[e.jsx("strong",{children:"question"})," (",e.jsx("em",{children:"aliases"}),": help, faq)"]}),e.jsxs("li",{children:[e.jsx("strong",{children:"tip"})," (",e.jsx("em",{children:"alias"}),": hint)"]}),e.jsxs("li",{children:[e.jsx("strong",{children:"quote"})," (",e.jsx("em",{children:"alias"}),": cite)"]}),e.jsxs("li",{children:[e.jsx("strong",{children:"success"})," (",e.jsx("em",{children:"aliases"}),": check, done)"]}),e.jsxs("li",{children:[e.jsx("strong",{children:"warning"})," (",e.jsx("em",{children:"aliases"}),": caution, attention)"]}),e.jsxs("li",{children:[e.jsx("strong",{children:"error"})," (",e.jsx("em",{children:"aliases"}),": fail, failure, missing, exception)"]}),e.jsx("li",{children:e.jsx("strong",{children:"danger"})}),e.jsx("li",{children:e.jsx("strong",{children:"bug"})})]})]}),example:`> [!INFO]
> Some details here

> [!SUMMARY] Callout with custom title
> Some details here

> [!SUCCESS]+ Foldable callout
> Some details here

> [!WARNING]- Foldable callout (folded by default)
> Some details here

> [!DANGER] Nested callout
> Some details here
> > [!QUESTION]
> > How many nested callouts you can have?
`},{title:"Code",hotKeys:"Ctrl + K",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["To denote a word or phrase as code, enclose it in backticks ",e.jsx("code",{children:"`"}),"."]}),e.jsxs("p",{children:["If the word or phrase you want to denote as code includes one or more backticks, you can escape it by enclosing the word or phrase in double backticks ",e.jsx("code",{children:"``"}),"."]}),e.jsxs("p",{children:["To create code blocks, indent every line of the block by at least four spaces or use three backticks ",e.jsx("code",{children:"```"})," on the lines before and after the code block. To add syntax highlighting, specify a language next to the backticks before the fenced code block."]}),e.jsxs("details",{children:[e.jsx("summary",{children:e.jsx("b",{children:"Supported languages for syntax highlighting in the preview"})}),e.jsx("ul",{children:i.map(o=>e.jsx("li",{children:o},o))})]})]}),example:"At the command prompt, type `nano`.\n\n```js\nconst sum = (a, b) => a + b;\nconsole.log(sum(3, 2));\n```"},{title:"Diagram",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["You can add diagrams and charts using ",e.jsx(t,{href:"https://mermaid.js.org",children:"Mermaid"}),". It supports many ",e.jsx(t,{href:"https://mermaid.js.org/intro/",children:"types of diagrams"})," such as flowcharts, sequence diagrams, class diagrams, Gantt, mindmap, and many more."]}),e.jsxs("p",{children:["To add a diagram, create a ",e.jsx("code",{children:"mermaid"})," code block."]})]}),example:`
\`\`\`mermaid
sequenceDiagram
    Alice->>+John: Hello John, how are you?
    Alice->>+John: John, can you hear me?
    John-->>-Alice: Hi Alice, I can hear you!
    John-->>-Alice: I feel great!
\`\`\`

\`\`\`mermaid
flowchart TD
    A[Christmas] -->|Get money| B(Go shopping)
    B --> C{Let me think}
    C -->|One| D[Laptop]
    C -->|Two| E[iPhone]
    C -->|Three| F[fa:fa-car Car]
\`\`\`
`},{title:"ABC musical notation",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:[e.jsx(t,{href:"https://en.wikipedia.org/wiki/ABC_notation",children:"ABC notation"})," is a shorthand form of plain-text musical notation for computers. To learn more visit the official portal ",e.jsx(t,{href:"https://abcnotation.com/learn",children:"abcnotation.com"}),"."]}),e.jsxs("p",{children:["To add an ABC notation, create an ",e.jsx("code",{children:"abc"})," code block."]}),e.jsxs("p",{children:["For stringed instruments, you can also display tabs by adding the following line ",e.jsx("code",{children:"%tab YOUR_INSTRUMENT"})," where  ",e.jsx("code",{children:"YOUR_INSTRUMENT"})," can be one of the following values: guitar, mandolin, fiddle, violin."]}),e.jsxs("p",{children:["Please note that for the iPhone to play MIDI on your phone ",e.jsx("b",{children:"Silent Mode"})," should be turned off."]})]}),example:`
\`\`\`abc
X:1
T:The Legacy Jig
M:6/8
L:1/8
R:jig
K:G
GFG BAB | gfg gab | GFG BAB | d2A AFD |
GFG BAB | gfg gab | age edB |1 dBA AFD :|2 dBA ABd |:
efe edB | dBA ABd | efe edB | gdB ABd |
efe edB | d2d def | gfe edB |1 dBA ABd :|2 dBA AFD |]
\`\`\`

With guitar tabs
\`\`\`abc
%tab guitar
T: Cooley's
M: 4/4
L: 1/8
R: reel
K: Emin
|:D2|EB{c}BA B2 EB|~B2 AB dBAG|FDAD BDAD|FDAD dAFD|
\`\`\`
`},{title:"Math",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["To add inline math expressions wrap them in ",e.jsx("code",{children:"$"})," symbols."]}),e.jsxs("p",{children:["To create math blocks, use two dollar signs ",e.jsx("code",{children:"$$"})," on the lines before and after the math block."]}),e.jsxs("p",{children:["The mathematical engine in the application is powered by ",e.jsx(t,{href:"https://www.mathjax.org",children:"MathJax"})," library, and for the available syntax refer to ",e.jsx(t,{href:"https://math.meta.stackexchange.com/questions/5020/mathjax-basic-tutorial-and-quick-reference",children:"MathJax basic tutorial and quick reference"}),"."]})]}),example:`

The length of the hypotenuse: $c=\\sqrt{a^2+b^2}$

Chemical formula of water: $\\ce{H2O}$

The determinant of 2-by-2 matrices is given by
$$
\\det
\\begin{bmatrix}
a&b\\\\
c&d\\\\
\\end{bmatrix}
= ad-bc
$$
`},{title:"Link",hotKeys:"Ctrl + L",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["To create a link, enclose the link text in brackets (e.g., ",e.jsx("code",{children:"[NotesHub]"}),") and then follow it immediately with the URL in parentheses (e.g., ",e.jsx("code",{children:"(https://noteshub.app)"}),")."]}),e.jsx("p",{children:"You can optionally add a title for a link. This will appear as a tooltip when the user hovers over the link. To add a title, enclose it in parentheses after the URL."}),e.jsx("p",{children:"To quickly turn a URL or email address into a link, enclose it in angle brackets."}),e.jsxs("p",{children:["You can also reference other local documents from the notebook using the same syntax, the difference only in URL format. To access files from the root of the notebook start the URL from the ",e.jsx("code",{children:"/"})," symbol. To access a file from the same folder use the file name (including file extension) as URL. In the relative path to access a file from the parent folder start the URL from ",e.jsx("code",{children:"../"}),"."]}),e.jsx("p",{children:"Alternatively, you can use automatic URL linking, which means any URLs will be automatically converted into links."})]}),bestPractices:e.jsxs("span",{children:["Markdown doesn’t agree on how to handle spaces in the middle of a URL. For compatibility, try to URL encode any spaces with ",e.jsx("code",{children:"%20"}),"."]}),example:`[NotesHub](https://noteshub.app)

[NotesHub](https://noteshub.app "NotesHub App")

[Another note](some-note.md)

[Root note](/root-note.md)

[Board from parent folder](../my-board.kanban.md)

<https://noteshub.app>

<contact@noteshub.app>

https://noteshub.app`},{title:"Media Preview",subTitle:"(Image/Audio/Video/Webpage)",hotKeys:"Ctrl + G",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["To add a preview for an image/audio/video/webpage, add an exclamation mark ",e.jsx("code",{children:"!"}),", followed by alt text in brackets, and the path or URL to the asset in parentheses. You can optionally add a title after the URL in the parentheses."]}),e.jsx("p",{children:"To add a link to an image, enclose the Markdown for the image in brackets, and then add the link in parentheses."})]}),example:`![Lime Kiln Point State Park](/images/photos/sanjuan_island.jpg "San Juan Island")

[![Beautiful view after sunset](/images/photos/hawaii_sunset.jpg)](https://www.instagram.com/alex.titarenko/)

![Music Sample](/media/sample_audio.mp3)

![Vidoe Sample](/media/sample_video.mp4)

![NotesHub Website](https://noteshub.app)`},{title:"Table",hotKeys:"Ctrl + T",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["To add a table, use three or more hyphens ",e.jsx("code",{children:"---"})," to create each column’s header, and use pipes ",e.jsx("code",{children:"|"})," to separate each column. You can optionally add pipes on either end of the table."]}),e.jsxs("p",{children:["You can align text in the columns to the left, right, or center by adding a colon ",e.jsx("code",{children:":"})," to the left, right, or on both side of the hyphens within the header row."]})]}),example:`| Syntax      | Description |
| ----------- | ----------- |
| Header      | Title       |
| Paragraph   | Text        |


| Syntax      | Description | Test Text     |
| :---        |    :----:   |          ---: |
| Header      | Title       | Here's this   |
| Paragraph   | Text        | And more      |`},{title:"Horizontal rule",hotKeys:"Ctrl + R",description:e.jsx(e.Fragment,{children:e.jsxs("p",{children:["To create a horizontal rule, use three or more asterisks ",e.jsx("code",{children:"***"}),", dashes ",e.jsx("code",{children:"---"}),", or underscores ",e.jsx("code",{children:"___"})," on a line by themselves."]})}),bestPractices:"For compatibility, put blank lines before and after horizontal rules.",example:`***

---

_________________`},{title:"Footnotes",description:e.jsxs(e.Fragment,{children:[e.jsx("p",{children:"Footnotes allow you to add notes and references without cluttering the body of the document. When you create a footnote, a superscript number with a link appears where you added the footnote reference. Readers can click the link to jump to the content of the footnote at the bottom of the page."}),e.jsxs("p",{children:["To create a footnote reference, add a caret and an identifier inside brackets ",e.jsx("code",{children:"[^1]"}),". Identifiers can be numbers or words, but they can't contain spaces or tabs. Identifiers only correlate the footnote reference with the footnote itself — in the output, footnotes are numbered sequentially."]}),e.jsxs("p",{children:["Add the footnote using another caret and number inside brackets with a colon and text (",e.jsx("code",{children:"[^1]"}),": My footnote.). You don't have to put footnotes at the end of the document. You can put them anywhere except inside other elements like lists, block quotes, and tables."]})]}),example:`Here's a simple footnote,[^1] and here's a longer one.[^bignote]

[^1]: This is the first footnote.

[^bignote]: Here's one with multiple paragraphs and code.

    Indent paragraphs to include them in the footnote.

    \`{ my code }\`

    Add as many paragraphs as you like.`},{title:"Emoji",description:e.jsxs(e.Fragment,{children:[e.jsx("p",{children:"There are two ways to add emoji: copy and paste the emoji into your Markdown-formatted text, or type emoji shortcodes."}),e.jsxs("p",{children:["In most cases, you can simply copy an emoji from a source like ",e.jsx(t,{href:"https://emojipedia.org/",children:"Emojipedia"})," and paste it into your document."]}),e.jsxs("p",{children:[e.jsx(t,{href:"https://gist.github.com/rxaviers/7360908",children:"Emoji shortcodes"})," begin and end with a colon and include the name of an emoji."]})]}),example:`Gone camping! :tent: Be back soon.

That is so funny! :joy:`},{title:"HTML",description:"If provided formatting constructions are not enough,  you can use HTML tags.",example:`Some of these words <ins>will be underlined</ins>.

<svg height="210" width="500">
  <polygon points="100,10 40,198 190,78 10,78 160,198"
  style="fill:lime;stroke:purple;stroke-width:5;fill-rule:nonzero;" />
</svg>
`},{title:"Web pages embed",description:e.jsxs(e.Fragment,{children:[e.jsxs("p",{children:["In order to embed a web page into your note, add the ",e.jsx("code",{children:"iframe"})," HTML element and specify the URL of the target page in ",e.jsx("code",{children:"src"})," property."]}),e.jsxs("p",{children:["You can embed ",e.jsx("strong",{children:"YouTube video"})," or a ",e.jsx("strong",{children:"tweet"})," using markdown ",e.jsx("strong",{children:"image"})," syntax, see example bellow."]})]}),example:`
<iframe
  src="https://www.instagram.com/p/CQkWQQsl2SK/embed"
  style="width:100%;height:auto;aspect-ratio:1/1.4"
  scrolling="no">
</iframe>

![Twitter post](https://twitter.com/noteshubapp/status/1631395036301791234)

![YouTube video](https://www.youtube.com/watch?v=aaowZGh8aBs&t=373s)
`},{title:"Merge conflict",description:e.jsx(e.Fragment,{children:e.jsx("p",{children:"When during the notebook synchronization notes can't be merged without conflicts, two alternative variants will be provided so you can pick the right one."})}),example:`:::conflict{variant=a}
some text
:::
:::conflict{variant=b}
altered text
:::`}];export{a as default};
